package front

type GenerateSchemeRequest struct {
	JumpWxa        JumpWxa `json:"jump_wxa"`
	IsExpire       bool    `json:"is_expire"`       //
	ExpireType     int     `json:"expire_type"`     // 默认值0，到期失效的 scheme 码失效类型，失效时间：0，失效间隔天数：1
	ExpireInterval int     `json:"expire_interval"` //到期失效的 scheme 码的失效间隔天数。生成的到期失效 scheme 码在该间隔时间到达前有效。最长间隔天数为30天。is_expire 为 true 且 expire_type 为 1 时必填
}
type JumpWxa struct {
	Path       string `json:"path"`
	Query      string `json:"query"`
	EnvVersion string `json:"env_version"`
}
